Bug#546619: strace for hppa is critically broken

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#546619: strace for hppa is critically broken

Carlos O'Donell-2
Package: strace
version: 4.5.18-1
Severity: grave
Architecture: hppa
Tags: Patch

Strace is *unusable* on hppa.

This bug supercedes bug #437928, updates the patches listed there, and
fixes the most recent issues.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437928

Problems:
* Traced process function descriptors are accessed causing faults.
* More than maximum number of syscall arguments accessed causing upeek failures.
* Missing syscalls.
* Incorrect processing of some IPC syscalls.

Please apply the attached patch to fix all of these issues.

It is critical that strace be fixed, the debian-porters are attempting
to track down buildd instability issues and without a working strace
this makes it difficult.

Cheers,
Carlos.

2009-09-14-strace.diff (8K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#546619: strace for hppa is critically broken

Frederik Schueler-2
Hi!

can you please verify if my merged patch against the upcoming 4.5.19 release
of strace is working on hppa?

git://strace.git.sourceforge.net/gitroot/strace/strace

please find the patch attached.

Best regards
Frederik Schüler

On Monday 14 September 2009 19:08:35 Carlos O'Donell wrote:

> Package: strace
> version: 4.5.18-1
> Severity: grave
> Architecture: hppa
> Tags: Patch
>
> Strace is *unusable* on hppa.
>
> This bug supercedes bug #437928, updates the patches listed there, and
> fixes the most recent issues.
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437928
>
> Problems:
> * Traced process function descriptors are accessed causing faults.
> * More than maximum number of syscall arguments accessed causing upeek
failures.

> * Missing syscalls.
> * Incorrect processing of some IPC syscalls.
>
> Please apply the attached patch to fix all of these issues.
>
> It is critical that strace be fixed, the debian-porters are attempting
> to track down buildd instability issues and without a working strace
> this makes it difficult.
>
> Cheers,
> Carlos.
>
--
ENOSIG

strace-hppa.diff.gz (3K) Download Attachment
signature.asc (204 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#546619: marked as done (strace for hppa is critically broken)

Debian Bug Tracking System
In reply to this post by Carlos O'Donell-2
Your message dated Thu, 22 Oct 2009 04:02:48 +0000
with message-id <[hidden email]>
and subject line Bug#437928: fixed in strace 4.5.19-1
has caused the Debian Bug report #437928,
regarding strace for hppa is critically broken
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
437928: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437928
Debian Bug Tracking System
Contact [hidden email] with problems

Package: strace
version: 4.5.18-1
Severity: grave
Architecture: hppa
Tags: Patch

Strace is *unusable* on hppa.

This bug supercedes bug #437928, updates the patches listed there, and
fixes the most recent issues.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437928

Problems:
* Traced process function descriptors are accessed causing faults.
* More than maximum number of syscall arguments accessed causing upeek failures.
* Missing syscalls.
* Incorrect processing of some IPC syscalls.

Please apply the attached patch to fix all of these issues.

It is critical that strace be fixed, the debian-porters are attempting
to track down buildd instability issues and without a working strace
this makes it difficult.

Cheers,
Carlos.

Source: strace
Source-Version: 4.5.19-1

We believe that the bug you reported is fixed in the latest version of
strace, which is due to be installed in the Debian FTP archive:

strace-udeb_4.5.19-1_amd64.udeb
  to pool/main/s/strace/strace-udeb_4.5.19-1_amd64.udeb
strace_4.5.19-1.dsc
  to pool/main/s/strace/strace_4.5.19-1.dsc
strace_4.5.19-1.tar.gz
  to pool/main/s/strace/strace_4.5.19-1.tar.gz
strace_4.5.19-1_amd64.deb
  to pool/main/s/strace/strace_4.5.19-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frederik Schüler <[hidden email]> (supplier of updated strace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Oct 2009 22:39:54 +0200
Source: strace
Binary: strace strace64 strace-udeb
Architecture: source amd64
Version: 4.5.19-1
Distribution: unstable
Urgency: low
Maintainer: Frederik Schüler <[hidden email]>
Changed-By: Frederik Schüler <[hidden email]>
Description:
 strace     - A system call tracer
 strace-udeb - A system call tracer (udeb)
 strace64   - A system call tracer for 64bit binaries
Closes: 37665 437928 503124 509499 520084 521458 535564 546619
Changes:
 strace (4.5.19-1) unstable; urgency=low
 .
   [ Dmitry V. Levin ]
   * New upstream release.
     + Fixed FTBFS on armel, closes: #520084, #535564
     + Marked sendfile(2) as a network syscall, closes: #509499
     + Fixed syscall numbers for tee and sync_file_range, closes: #503124
     + Changed strace to exit/kill with traced process
       exitcode/signal, closes: #37665
 .
   [ Frederik Schüler ]
   * Move myself from uploaders to maintainers, and drop Roland from the list,
     closes: #521458
   * Apply hppa fixes, thanks to Carlos O'Donell <[hidden email]>
     and Helge Deller <[hidden email]> for the fixes, closes: #546619, #437928
   * Update standards-version to 3.8.1.
Checksums-Sha1:
 b16e2c2246136809dbc270846c8824de99c4bd51 986 strace_4.5.19-1.dsc
 17f63cad6d22c691c118fdb335e3f9f753c36e65 712372 strace_4.5.19-1.tar.gz
 a73c47d8defd016ff42ed092b17c4f2047b8ae90 127654 strace_4.5.19-1_amd64.deb
 dc899f76c23760c4590b1fa75f0d06d45a27d4b6 97796 strace-udeb_4.5.19-1_amd64.udeb
Checksums-Sha256:
 8f96b1717f08359e1ec53fd9b432855cac32270e6f4b281fb1ebfbe57c7095e5 986 strace_4.5.19-1.dsc
 012f7980e53118b6cc82306a6a2b623fa635a27031fb3185a213f3d13a98af80 712372 strace_4.5.19-1.tar.gz
 03e91f98440d2686df0ea8c79e35df2a94c290e3b097d31db002a7d6c4304650 127654 strace_4.5.19-1_amd64.deb
 bff5f3ce82228c78a2de20d1f09e0c63000338030f82ed626ab562fdbc0bffdb 97796 strace-udeb_4.5.19-1_amd64.udeb
Files:
 b6b5f3fbca41f1b96d508f3f53ad00b1 986 utils standard strace_4.5.19-1.dsc
 b7800dd667300f3e3a9bc216efc1d4d8 712372 utils standard strace_4.5.19-1.tar.gz
 67aff79fc99cdb27ba858140c5e08ca2 127654 utils standard strace_4.5.19-1_amd64.deb
 25760a3fb329b8e12dd2af3b7eff8a04 97796 debian-installer extra strace-udeb_4.5.19-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrfyHAACgkQ6n7So0GVSSCAcgCgh4S8pzW/JUNlVJZ6JQEcN/1P
7dUAmwT030jGhEdr9tgxvsfjo9CA3Loi
=yr50
-----END PGP SIGNATURE-----



2009-09-14-strace.diff (8K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#546619: marked as done (strace for hppa is critically broken)

Debian Bug Tracking System
In reply to this post by Carlos O'Donell-2
Your message dated Thu, 22 Oct 2009 04:02:48 +0000
with message-id <[hidden email]>
and subject line Bug#546619: fixed in strace 4.5.19-1
has caused the Debian Bug report #546619,
regarding strace for hppa is critically broken
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
546619: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=546619
Debian Bug Tracking System
Contact [hidden email] with problems

Package: strace
version: 4.5.18-1
Severity: grave
Architecture: hppa
Tags: Patch

Strace is *unusable* on hppa.

This bug supercedes bug #437928, updates the patches listed there, and
fixes the most recent issues.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437928

Problems:
* Traced process function descriptors are accessed causing faults.
* More than maximum number of syscall arguments accessed causing upeek failures.
* Missing syscalls.
* Incorrect processing of some IPC syscalls.

Please apply the attached patch to fix all of these issues.

It is critical that strace be fixed, the debian-porters are attempting
to track down buildd instability issues and without a working strace
this makes it difficult.

Cheers,
Carlos.

Source: strace
Source-Version: 4.5.19-1

We believe that the bug you reported is fixed in the latest version of
strace, which is due to be installed in the Debian FTP archive:

strace-udeb_4.5.19-1_amd64.udeb
  to pool/main/s/strace/strace-udeb_4.5.19-1_amd64.udeb
strace_4.5.19-1.dsc
  to pool/main/s/strace/strace_4.5.19-1.dsc
strace_4.5.19-1.tar.gz
  to pool/main/s/strace/strace_4.5.19-1.tar.gz
strace_4.5.19-1_amd64.deb
  to pool/main/s/strace/strace_4.5.19-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frederik Schüler <[hidden email]> (supplier of updated strace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Oct 2009 22:39:54 +0200
Source: strace
Binary: strace strace64 strace-udeb
Architecture: source amd64
Version: 4.5.19-1
Distribution: unstable
Urgency: low
Maintainer: Frederik Schüler <[hidden email]>
Changed-By: Frederik Schüler <[hidden email]>
Description:
 strace     - A system call tracer
 strace-udeb - A system call tracer (udeb)
 strace64   - A system call tracer for 64bit binaries
Closes: 37665 437928 503124 509499 520084 521458 535564 546619
Changes:
 strace (4.5.19-1) unstable; urgency=low
 .
   [ Dmitry V. Levin ]
   * New upstream release.
     + Fixed FTBFS on armel, closes: #520084, #535564
     + Marked sendfile(2) as a network syscall, closes: #509499
     + Fixed syscall numbers for tee and sync_file_range, closes: #503124
     + Changed strace to exit/kill with traced process
       exitcode/signal, closes: #37665
 .
   [ Frederik Schüler ]
   * Move myself from uploaders to maintainers, and drop Roland from the list,
     closes: #521458
   * Apply hppa fixes, thanks to Carlos O'Donell <[hidden email]>
     and Helge Deller <[hidden email]> for the fixes, closes: #546619, #437928
   * Update standards-version to 3.8.1.
Checksums-Sha1:
 b16e2c2246136809dbc270846c8824de99c4bd51 986 strace_4.5.19-1.dsc
 17f63cad6d22c691c118fdb335e3f9f753c36e65 712372 strace_4.5.19-1.tar.gz
 a73c47d8defd016ff42ed092b17c4f2047b8ae90 127654 strace_4.5.19-1_amd64.deb
 dc899f76c23760c4590b1fa75f0d06d45a27d4b6 97796 strace-udeb_4.5.19-1_amd64.udeb
Checksums-Sha256:
 8f96b1717f08359e1ec53fd9b432855cac32270e6f4b281fb1ebfbe57c7095e5 986 strace_4.5.19-1.dsc
 012f7980e53118b6cc82306a6a2b623fa635a27031fb3185a213f3d13a98af80 712372 strace_4.5.19-1.tar.gz
 03e91f98440d2686df0ea8c79e35df2a94c290e3b097d31db002a7d6c4304650 127654 strace_4.5.19-1_amd64.deb
 bff5f3ce82228c78a2de20d1f09e0c63000338030f82ed626ab562fdbc0bffdb 97796 strace-udeb_4.5.19-1_amd64.udeb
Files:
 b6b5f3fbca41f1b96d508f3f53ad00b1 986 utils standard strace_4.5.19-1.dsc
 b7800dd667300f3e3a9bc216efc1d4d8 712372 utils standard strace_4.5.19-1.tar.gz
 67aff79fc99cdb27ba858140c5e08ca2 127654 utils standard strace_4.5.19-1_amd64.deb
 25760a3fb329b8e12dd2af3b7eff8a04 97796 debian-installer extra strace-udeb_4.5.19-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrfyHAACgkQ6n7So0GVSSCAcgCgh4S8pzW/JUNlVJZ6JQEcN/1P
7dUAmwT030jGhEdr9tgxvsfjo9CA3Loi
=yr50
-----END PGP SIGNATURE-----



2009-09-14-strace.diff (8K) Download Attachment